The Swift Package Index logo.Swift Package Index

Build Information

Failed to build mongo-swift-driver with Swift 5.9 for iOS using Xcode 15.2 at v1.3.1.

Build Command

env DEVELOPER_DIR="/Applications/Xcode-15.0.0-Beta.app" xcrun xcodebuild -IDEClonedSourcePackagesDirPathOverride="$PWD/.dependencies" -derivedDataPath "$PWD/.derivedData" build -scheme mongo-swift-driver-Package -destination "generic/platform=ios"

Build Log

========================================
RunAll
========================================
Builder version: 4.19.0
Interrupt handler set up.
========================================
Checkout
========================================
Clone URL: https://github.com/mongodb/mongo-swift-driver.git
Reference: v1.3.1
Initialized empty Git repository in /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.git/
From https://github.com/mongodb/mongo-swift-driver
 * tag               v1.3.1     -> FETCH_HEAD
HEAD is now at cd8618a 1.3.1
Cloned https://github.com/mongodb/mongo-swift-driver.git into spi-builder-workspace
cd8618a10f89b72bad6edb1066a8fb60df57811b
SUCCESS checkout https://github.com/mongodb/mongo-swift-driver.git at v1.3.1
========================================
Build
========================================
Selected platform:         ios
Swift version:             5.9
Building package at path:  spi-builder-workspace
Command line invocation:
/Applications/Xcode-15.0.0-Beta.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies -resolvePackageDependencies

User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies
    IDEPackageSupportUseBuiltinSCM = YES
Resolve Package Graph

Fetching from https://github.com/mongodb/swift-bson (cached)

Fetching from https://github.com/apple/swift-atomics (cached)

Fetching from https://github.com/apple/swift-nio (cached)

Fetching from https://github.com/Quick/Nimble.git (cached)
Fetching from https://github.com/swift-extras/swift-extras-base64 (cached)

Fetching from https://github.com/swift-extras/swift-extras-json (cached)
Fetching from https://github.com/apple/swift-collections.git (cached)

Creating working copy of package ‘swift-nio’

Checking out 2.54.0 of package ‘swift-nio’

Creating working copy of package ‘swift-bson’

Checking out 3.1.0 of package ‘swift-bson’


Creating working copy of package ‘swift-extras-json’

Checking out 0.6.0 of package ‘swift-extras-json’

Creating working copy of package ‘Nimble’

Checking out 8.1.2 of package ‘Nimble’

Creating working copy of package ‘swift-atomics’

Checking out 1.1.0 of package ‘swift-atomics’

Creating working copy of package ‘swift-collections’

Checking out 1.0.4 of package ‘swift-collections’

Creating working copy of package ‘swift-extras-base64’

Checking out 0.5.0 of package ‘swift-extras-base64’

Resolve Package Graph
2023-06-14 00:56:34.972 xcodebuild[24180:1843555] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x6000002dcd00: name:Collections.docc path:group:Collections.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/Collections/Collections.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Collections.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Collections.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-06-14 00:56:34.974 xcodebuild[24180:1843555] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x60000033e200: name:OrderedCollections.docc path:group:OrderedCollections.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/OrderedCollections/OrderedCollections.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "OrderedCollections.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "OrderedCollections.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-06-14 00:56:34.985 xcodebuild[24180:1843555] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x60000032aa00: name:DequeModule.docc path:group:DequeModule.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/DequeModule/DequeModule.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "DequeModule.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "DequeModule.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-06-14 00:56:34.997 xcodebuild[24180:1843555] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x6000002d7600: name:Atomics.docc path:group:Atomics.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-atomics/Sources/Atomics/Atomics.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Atomics.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Atomics.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-06-14 00:56:35.030 xcodebuild[24180:1843555] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600000308c00: name:Docs.docc path:group:Docs.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-nio/Sources/NIO/Docs.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-06-14 00:56:35.050 xcodebuild[24180:1843555] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600000311300: name:Docs.docc path:group:Docs.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-nio/Sources/NIOCore/Docs.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder".}

Resolve Package Graph
2023-06-14 00:56:35.766 xcodebuild[24180:1843555] [MT] DVTAssertions: Warning in /System/Volumes/Data/SWE/Apps/DT/BuildRoots/BuildRoot2/ActiveBuildRoot/Library/Caches/com.apple.xbs/Sources/IDEFrameworks/IDEFrameworks-22181.17/IDEFoundation/Execution/RunContextManager/IDERunContextManager.m:842
Details:  Error deleting scheme: Cannot modify data because the process disallows saving.
Object:   <IDERunContextManager: 0x600000dee760>
Method:   -deleteRunContexts:completionQueue:completionBlock:
Thread:   <_NSMainThread: 0x600002acc200>{number = 1, name = main}
Please file a bug at https://feedbackassistant.apple.com with this warning message and any useful information you can provide.
2023-06-14 00:56:35.767 xcodebuild[24180:1843555] could not delete old scheme: Error Domain=DVTCustomDataStoringErrors Code=0 "Cannot modify data because the process disallows saving." UserInfo={NSLocalizedDescription=Cannot modify data because the process disallows saving.}
2023-06-14 00:56:35.767 xcodebuild[24180:1843555] [MT] DVTAssertions: Warning in /System/Volumes/Data/SWE/Apps/DT/BuildRoots/BuildRoot2/ActiveBuildRoot/Library/Caches/com.apple.xbs/Sources/IDEFrameworks/IDEFrameworks-22181.17/IDEFoundation/Execution/RunContextManager/IDERunContextManager.m:842
Details:  Error deleting scheme: Cannot modify data because the process disallows saving.
Object:   <IDERunContextManager: 0x600000dee760>
Method:   -deleteRunContexts:completionQueue:completionBlock:
Thread:   <_NSMainThread: 0x600002acc200>{number = 1, name = main}
Please file a bug at https://feedbackassistant.apple.com with this warning message and any useful information you can provide.
2023-06-14 00:56:35.767 xcodebuild[24180:1843555] could not delete old scheme: Error Domain=DVTCustomDataStoringErrors Code=0 "Cannot modify data because the process disallows saving." UserInfo={NSLocalizedDescription=Cannot modify data because the process disallows saving.}
2023-06-14 00:56:35.767 xcodebuild[24180:1843555] [MT] DVTAssertions: Warning in /System/Volumes/Data/SWE/Apps/DT/BuildRoots/BuildRoot2/ActiveBuildRoot/Library/Caches/com.apple.xbs/Sources/IDEFrameworks/IDEFrameworks-22181.17/IDEFoundation/Execution/RunContextManager/IDERunContextManager.m:842
Details:  Error deleting scheme: Cannot modify data because the process disallows saving.
Object:   <IDERunContextManager: 0x600000dee760>
Method:   -deleteRunContexts:completionQueue:completionBlock:
Thread:   <_NSMainThread: 0x600002acc200>{number = 1, name = main}
Please file a bug at https://feedbackassistant.apple.com with this warning message and any useful information you can provide.
2023-06-14 00:56:35.767 xcodebuild[24180:1843555] could not delete old scheme: Error Domain=DVTCustomDataStoringErrors Code=0 "Cannot modify data because the process disallows saving." UserInfo={NSLocalizedDescription=Cannot modify data because the process disallows saving.}
2023-06-14 00:56:35.767 xcodebuild[24180:1843555] [MT] DVTAssertions: Warning in /System/Volumes/Data/SWE/Apps/DT/BuildRoots/BuildRoot2/ActiveBuildRoot/Library/Caches/com.apple.xbs/Sources/IDEFrameworks/IDEFrameworks-22181.17/IDEFoundation/Execution/RunContextManager/IDERunContextManager.m:842
Details:  Error deleting scheme: Cannot modify data because the process disallows saving.
Object:   <IDERunContextManager: 0x600000dee760>
Method:   -deleteRunContexts:completionQueue:completionBlock:
Thread:   <_NSMainThread: 0x600002acc200>{number = 1, name = main}
Please file a bug at https://feedbackassistant.apple.com with this warning message and any useful information you can provide.
2023-06-14 00:56:35.767 xcodebuild[24180:1843555] could not delete old scheme: Error Domain=DVTCustomDataStoringErrors Code=0 "Cannot modify data because the process disallows saving." UserInfo={NSLocalizedDescription=Cannot modify data because the process disallows saving.}


Resolved source packages:
  swift-collections: https://github.com/apple/swift-collections.git @ 1.0.4
  swift-atomics: https://github.com/apple/swift-atomics @ 1.1.0
  mongo-swift-driver: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace
  swift-bson: https://github.com/mongodb/swift-bson @ 3.1.0
  swift-extras-base64: https://github.com/swift-extras/swift-extras-base64 @ 0.5.0
  swift-nio: https://github.com/apple/swift-nio @ 2.54.0
  Nimble: https://github.com/Quick/Nimble.git @ 8.1.2
  swift-extras-json: https://github.com/swift-extras/swift-extras-json @ 0.6.0

resolved source packages: swift-collections, swift-atomics, mongo-swift-driver, swift-bson, swift-extras-base64, swift-nio, Nimble, swift-extras-json
{
  "workspace" : {
    "name" : "spi-builder-workspace",
    "schemes" : [
      "AtlasConnectivity",
      "mongo-swift-driver-Package",
      "MongoSwift",
      "MongoSwiftSync"
    ]
  }
}

Running build ...
env DEVELOPER_DIR="/Applications/Xcode-15.0.0-Beta.app" xcrun xcodebuild -IDEClonedSourcePackagesDirPathOverride="$PWD/.dependencies" -derivedDataPath "$PWD/.derivedData" build -scheme mongo-swift-driver-Package -destination "generic/platform=ios"
Building ... (attempt 1)
Command line invocation:
/Applications/Xcode-15.0.0-Beta.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies -derivedDataPath /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData build -scheme mongo-swift-driver-Package -destination generic/platform=ios

User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies
    IDEDerivedDataPathOverride = /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData
    IDEPackageSupportUseBuiltinSCM = YES
Resolve Package Graph

Resolve Package Graph
2023-06-14 00:56:40.514 xcodebuild[25167:1846017] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600001b42000: name:Docs.docc path:group:Docs.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-nio/Sources/NIOCore/Docs.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-06-14 00:56:40.518 xcodebuild[25167:1846017] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600001b2b800: name:Docs.docc path:group:Docs.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-nio/Sources/NIO/Docs.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-06-14 00:56:40.529 xcodebuild[25167:1846017] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600001ad1500: name:Atomics.docc path:group:Atomics.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-atomics/Sources/Atomics/Atomics.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Atomics.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Atomics.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-06-14 00:56:40.538 xcodebuild[25167:1846017] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600001ac8900: name:Collections.docc path:group:Collections.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/Collections/Collections.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Collections.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Collections.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-06-14 00:56:40.539 xcodebuild[25167:1846017] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600001ac8a00: name:OrderedCollections.docc path:group:OrderedCollections.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/OrderedCollections/OrderedCollections.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "OrderedCollections.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "OrderedCollections.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-06-14 00:56:40.541 xcodebuild[25167:1846017] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600001ac9e00: name:DequeModule.docc path:group:DequeModule.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/DequeModule/DequeModule.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "DequeModule.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "DequeModule.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-06-14 00:56:40.707 xcodebuild[25167:1846017] [MT] DVTAssertions: Warning in /System/Volumes/Data/SWE/Apps/DT/BuildRoots/BuildRoot2/ActiveBuildRoot/Library/Caches/com.apple.xbs/Sources/IDEFrameworks/IDEFrameworks-22181.17/IDEFoundation/Execution/RunContextManager/IDERunContextManager.m:842
Details:  Error deleting scheme: Cannot modify data because the process disallows saving.
Object:   <IDERunContextManager: 0x6000015f9cb0>
Method:   -deleteRunContexts:completionQueue:completionBlock:
Thread:   <_NSMainThread: 0x6000032f80c0>{number = 1, name = main}
Please file a bug at https://feedbackassistant.apple.com with this warning message and any useful information you can provide.
2023-06-14 00:56:40.708 xcodebuild[25167:1846017] could not delete old scheme: Error Domain=DVTCustomDataStoringErrors Code=0 "Cannot modify data because the process disallows saving." UserInfo={NSLocalizedDescription=Cannot modify data because the process disallows saving.}
2023-06-14 00:56:40.708 xcodebuild[25167:1846017] [MT] DVTAssertions: Warning in /System/Volumes/Data/SWE/Apps/DT/BuildRoots/BuildRoot2/ActiveBuildRoot/Library/Caches/com.apple.xbs/Sources/IDEFrameworks/IDEFrameworks-22181.17/IDEFoundation/Execution/RunContextManager/IDERunContextManager.m:842
Details:  Error deleting scheme: Cannot modify data because the process disallows saving.
Object:   <IDERunContextManager: 0x6000015f9cb0>
Method:   -deleteRunContexts:completionQueue:completionBlock:
Thread:   <_NSMainThread: 0x6000032f80c0>{number = 1, name = main}
Please file a bug at https://feedbackassistant.apple.com with this warning message and any useful information you can provide.
2023-06-14 00:56:40.708 xcodebuild[25167:1846017] could not delete old scheme: Error Domain=DVTCustomDataStoringErrors Code=0 "Cannot modify data because the process disallows saving." UserInfo={NSLocalizedDescription=Cannot modify data because the process disallows saving.}
2023-06-14 00:56:40.708 xcodebuild[25167:1846017] [MT] DVTAssertions: Warning in /System/Volumes/Data/SWE/Apps/DT/BuildRoots/BuildRoot2/ActiveBuildRoot/Library/Caches/com.apple.xbs/Sources/IDEFrameworks/IDEFrameworks-22181.17/IDEFoundation/Execution/RunContextManager/IDERunContextManager.m:842
Details:  Error deleting scheme: Cannot modify data because the process disallows saving.
Object:   <IDERunContextManager: 0x6000015f9cb0>
Method:   -deleteRunContexts:completionQueue:completionBlock:
Thread:   <_NSMainThread: 0x6000032f80c0>{number = 1, name = main}
Please file a bug at https://feedbackassistant.apple.com with this warning message and any useful information you can provide.
2023-06-14 00:56:40.708 xcodebuild[25167:1846017] could not delete old scheme: Error Domain=DVTCustomDataStoringErrors Code=0 "Cannot modify data because the process disallows saving." UserInfo={NSLocalizedDescription=Cannot modify data because the process disallows saving.}
2023-06-14 00:56:40.708 xcodebuild[25167:1846017] [MT] DVTAssertions: Warning in /System/Volumes/Data/SWE/Apps/DT/BuildRoots/BuildRoot2/ActiveBuildRoot/Library/Caches/com.apple.xbs/Sources/IDEFrameworks/IDEFrameworks-22181.17/IDEFoundation/Execution/RunContextManager/IDERunContextManager.m:842
Details:  Error deleting scheme: Cannot modify data because the process disallows saving.
Object:   <IDERunContextManager: 0x6000015f9cb0>
Method:   -deleteRunContexts:completionQueue:completionBlock:
Thread:   <_NSMainThread: 0x6000032f80c0>{number = 1, name = main}
Please file a bug at https://feedbackassistant.apple.com with this warning message and any useful information you can provide.
2023-06-14 00:56:40.708 xcodebuild[25167:1846017] could not delete old scheme: Error Domain=DVTCustomDataStoringErrors Code=0 "Cannot modify data because the process disallows saving." UserInfo={NSLocalizedDescription=Cannot modify data because the process disallows saving.}


Resolved source packages:
  swift-bson: https://github.com/mongodb/swift-bson @ 3.1.0
  swift-nio: https://github.com/apple/swift-nio @ 2.54.0
  swift-collections: https://github.com/apple/swift-collections.git @ 1.0.4
  swift-atomics: https://github.com/apple/swift-atomics @ 1.1.0
  swift-extras-json: https://github.com/swift-extras/swift-extras-json @ 0.6.0
  swift-extras-base64: https://github.com/swift-extras/swift-extras-base64 @ 0.5.0
  mongo-swift-driver: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace
  Nimble: https://github.com/Quick/Nimble.git @ 8.1.2

2023-06-14 00:56:40.710 xcodebuild[25167:1846017] Writing error result bundle to /var/folders/4f/vmvvw7xn07sg3fzsc7v7mmx40000gp/T/ResultBundle_2023-14-06_00-56-0040.xcresult
xcodebuild: error: The workspace named "spi-builder-workspace" does not contain a scheme named "mongo-swift-driver-Package". The "-list" option can be used to find the names of the schemes in the workspace.
Retrying in 0 seconds ...
Building ... (attempt 2)
Command line invocation:
    /Applications/Xcode-15.0.0-Beta.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies -derivedDataPath /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData build -scheme mongo-swift-driver-Package -destination generic/platform=ios

User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies
    IDEDerivedDataPathOverride = /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData
    IDEPackageSupportUseBuiltinSCM = YES
Resolve Package Graph


Resolved source packages:
  swift-bson: https://github.com/mongodb/swift-bson @ 3.1.0
  swift-collections: https://github.com/apple/swift-collections.git @ 1.0.4
  swift-extras-json: https://github.com/swift-extras/swift-extras-json @ 0.6.0
  mongo-swift-driver: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace
  swift-extras-base64: https://github.com/swift-extras/swift-extras-base64 @ 0.5.0
  Nimble: https://github.com/Quick/Nimble.git @ 8.1.2
  swift-nio: https://github.com/apple/swift-nio @ 2.54.0
  swift-atomics: https://github.com/apple/swift-atomics @ 1.1.0
Prepare packages

2023-06-14 00:56:43.681 xcodebuild[25582:1847101] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x6000036ae300: name:Collections.docc path:group:Collections.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/Collections/Collections.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Collections.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Collections.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-06-14 00:56:43.685 xcodebuild[25582:1847101] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600003618e00: name:OrderedCollections.docc path:group:OrderedCollections.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/OrderedCollections/OrderedCollections.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "OrderedCollections.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "OrderedCollections.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-06-14 00:56:43.687 xcodebuild[25582:1847101] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600003633a00: name:DequeModule.docc path:group:DequeModule.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-collections/Sources/DequeModule/DequeModule.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "DequeModule.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "DequeModule.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-06-14 00:56:43.713 xcodebuild[25582:1847101] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x6000037c9100: name:Docs.docc path:group:Docs.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-nio/Sources/NIOCore/Docs.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-06-14 00:56:43.724 xcodebuild[25582:1847101] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x600003619800: name:Docs.docc path:group:Docs.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-nio/Sources/NIO/Docs.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Docs.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
2023-06-14 00:56:43.750 xcodebuild[25582:1847101] [MT] IDEFileReferenceDebug: [Load] <IDESwiftPackageCore.IDESwiftPackageSpecialFolderFileReference, 0x6000037ffc00: name:Atomics.docc path:group:Atomics.docc> Failed to load container at path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies/checkouts/swift-atomics/Sources/Atomics/Atomics.docc, Error: Error Domain=com.apple.dt.IDEContainerErrorDomain Code=6 "Cannot open "Atomics.docc" as a "Swift Package Folder" because it is already open as a "Folder"." UserInfo={NSLocalizedDescription=Cannot open "Atomics.docc" as a "Swift Package Folder" because it is already open as a "Folder".}
Computing target dependency graph and provisioning inputs

Create build description
Build description signature: 1da14c1f13cca5d7689a058bf684fc9b
Build description path: /Users/builder/builds/TDmZkXJm/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.derivedData/Build/Intermediates.noindex/XCBuildData/1da14c1f13cca5d7689a058bf684fc9b.xcbuilddata

note: Building targets in dependency order
note: Target dependency graph (39 targets)
    Target 'MongoSwiftTests' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'CLibMongoC' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'MongoSwift' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'TestsCommon' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'Atomics' in project 'swift-atomics'
        ➜ Explicit dependency on target 'NIO' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOConcurrencyHelpers' in project 'swift-nio'
        ➜ Explicit dependency on target 'SwiftBSON' in project 'swift-bson'
        ➜ Explicit dependency on target 'Nimble' in project 'Nimble'
    Target 'MongoSwiftSyncTests' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'CLibMongoC' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'MongoSwift' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'MongoSwiftSync' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'TestsCommon' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'Atomics' in project 'swift-atomics'
        ➜ Explicit dependency on target 'NIO' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOConcurrencyHelpers' in project 'swift-nio'
        ➜ Explicit dependency on target 'SwiftBSON' in project 'swift-bson'
        ➜ Explicit dependency on target 'Nimble' in project 'Nimble'
    Target 'BSONTests' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'CLibMongoC' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'MongoSwift' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'TestsCommon' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'Atomics' in project 'swift-atomics'
        ➜ Explicit dependency on target 'NIO' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOConcurrencyHelpers' in project 'swift-nio'
        ➜ Explicit dependency on target 'SwiftBSON' in project 'swift-bson'
        ➜ Explicit dependency on target 'Nimble' in project 'Nimble'
    Target 'TestsCommon' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'CLibMongoC' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'MongoSwift' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'Atomics' in project 'swift-atomics'
        ➜ Explicit dependency on target 'NIO' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOConcurrencyHelpers' in project 'swift-nio'
        ➜ Explicit dependency on target 'SwiftBSON' in project 'swift-bson'
        ➜ Explicit dependency on target 'Nimble' in project 'Nimble'
    Target 'Nimble' in project 'Nimble'
        ➜ Explicit dependency on target 'Nimble' in project 'Nimble'
        ➜ Explicit dependency on target 'NimbleCwlMachBadInstructionHandler' in project 'Nimble'
        ➜ Explicit dependency on target 'NimbleCwlCatchExceptionSupport' in project 'Nimble'
        ➜ Explicit dependency on target 'NimbleCwlCatchException' in project 'Nimble'
        ➜ Explicit dependency on target 'NimbleCwlPreconditionTesting' in project 'Nimble'
    Target 'Nimble' in project 'Nimble'
        ➜ Explicit dependency on target 'NimbleCwlMachBadInstructionHandler' in project 'Nimble'
        ➜ Explicit dependency on target 'NimbleCwlCatchExceptionSupport' in project 'Nimble'
        ➜ Explicit dependency on target 'NimbleCwlCatchException' in project 'Nimble'
        ➜ Explicit dependency on target 'NimbleCwlPreconditionTesting' in project 'Nimble'
    Target 'NimbleCwlPreconditionTesting' in project 'Nimble'
        ➜ Explicit dependency on target 'NimbleCwlMachBadInstructionHandler' in project 'Nimble'
        ➜ Explicit dependency on target 'NimbleCwlCatchExceptionSupport' in project 'Nimble'
        ➜ Explicit dependency on target 'NimbleCwlCatchException' in project 'Nimble'
    Target 'NimbleCwlCatchException' in project 'Nimble'
        ➜ Explicit dependency on target 'NimbleCwlCatchExceptionSupport' in project 'Nimble'
    Target 'NimbleCwlCatchExceptionSupport' in project 'Nimble' (no dependencies)
    Target 'NimbleCwlMachBadInstructionHandler' in project 'Nimble' (no dependencies)
    Target 'AtlasConnectivity' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'CLibMongoC' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'MongoSwift' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'MongoSwiftSync' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'Atomics' in project 'swift-atomics'
        ➜ Explicit dependency on target 'NIO' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOConcurrencyHelpers' in project 'swift-nio'
        ➜ Explicit dependency on target 'SwiftBSON' in project 'swift-bson'
    Target 'MongoSwiftSync' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'MongoSwiftSync' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'CLibMongoC' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'MongoSwift' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'Atomics' in project 'swift-atomics'
        ➜ Explicit dependency on target 'NIO' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOConcurrencyHelpers' in project 'swift-nio'
        ➜ Explicit dependency on target 'SwiftBSON' in project 'swift-bson'
    Target 'MongoSwiftSync' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'CLibMongoC' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'MongoSwift' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'Atomics' in project 'swift-atomics'
        ➜ Explicit dependency on target 'NIO' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOConcurrencyHelpers' in project 'swift-nio'
        ➜ Explicit dependency on target 'SwiftBSON' in project 'swift-bson'
    Target 'MongoSwift' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'MongoSwift' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'CLibMongoC' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'Atomics' in project 'swift-atomics'
        ➜ Explicit dependency on target 'NIO' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOConcurrencyHelpers' in project 'swift-nio'
        ➜ Explicit dependency on target 'SwiftBSON' in project 'swift-bson'
    Target 'MongoSwift' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'CLibMongoC' in project 'mongo-swift-driver'
        ➜ Explicit dependency on target 'Atomics' in project 'swift-atomics'
        ➜ Explicit dependency on target 'NIO' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOConcurrencyHelpers' in project 'swift-nio'
        ➜ Explicit dependency on target 'SwiftBSON' in project 'swift-bson'
    Target 'SwiftBSON' in project 'swift-bson'
        ➜ Explicit dependency on target 'SwiftBSON' in project 'swift-bson'
        ➜ Explicit dependency on target 'NIO' in project 'swift-nio'
        ➜ Explicit dependency on target 'ExtrasJSON' in project 'swift-extras-json'
        ➜ Explicit dependency on target 'ExtrasBase64' in project 'swift-extras-base64'
    Target 'SwiftBSON' in project 'swift-bson'
        ➜ Explicit dependency on target 'NIO' in project 'swift-nio'
        ➜ Explicit dependency on target 'ExtrasJSON' in project 'swift-extras-json'
        ➜ Explicit dependency on target 'ExtrasBase64' in project 'swift-extras-base64'
    Target 'ExtrasBase64' in project 'swift-extras-base64'
        ➜ Explicit dependency on target 'ExtrasBase64' in project 'swift-extras-base64'
    Target 'ExtrasBase64' in project 'swift-extras-base64' (no dependencies)
    Target 'ExtrasJSON' in project 'swift-extras-json'
        ➜ Explicit dependency on target 'ExtrasJSON' in project 'swift-extras-json'
    Target 'ExtrasJSON' in project 'swift-extras-json' (no dependencies)
    Target 'NIOConcurrencyHelpers' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOConcurrencyHelpers' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIOAtomics' in project 'swift-nio'
    Target 'NIO' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIO' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIOAtomics' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOConcurrencyHelpers' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIOLinux' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIOWindows' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOCore' in project 'swift-nio'
        ➜ Explicit dependency on target '_NIODataStructures' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOEmbedded' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIODarwin' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOPosix' in project 'swift-nio'
        ➜ Explicit dependency on target 'DequeModule' in project 'swift-collections'
        ➜ Explicit dependency on target 'Atomics' in project 'swift-atomics'
    Target 'NIO' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIOAtomics' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOConcurrencyHelpers' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIOLinux' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIOWindows' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOCore' in project 'swift-nio'
        ➜ Explicit dependency on target '_NIODataStructures' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOEmbedded' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIODarwin' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOPosix' in project 'swift-nio'
        ➜ Explicit dependency on target 'DequeModule' in project 'swift-collections'
        ➜ Explicit dependency on target 'Atomics' in project 'swift-atomics'
    Target 'NIOPosix' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIOLinux' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIODarwin' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIOWindows' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIOAtomics' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOConcurrencyHelpers' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOCore' in project 'swift-nio'
        ➜ Explicit dependency on target '_NIODataStructures' in project 'swift-nio'
        ➜ Explicit dependency on target 'DequeModule' in project 'swift-collections'
        ➜ Explicit dependency on target 'Atomics' in project 'swift-atomics'
    Target 'CNIODarwin' in project 'swift-nio' (no dependencies)
    Target 'NIOEmbedded' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIOAtomics' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOConcurrencyHelpers' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIOLinux' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIOWindows' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOCore' in project 'swift-nio'
        ➜ Explicit dependency on target '_NIODataStructures' in project 'swift-nio'
        ➜ Explicit dependency on target 'DequeModule' in project 'swift-collections'
        ➜ Explicit dependency on target 'Atomics' in project 'swift-atomics'
    Target '_NIODataStructures' in project 'swift-nio' (no dependencies)
    Target 'NIOCore' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIOAtomics' in project 'swift-nio'
        ➜ Explicit dependency on target 'NIOConcurrencyHelpers' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIOLinux' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIOWindows' in project 'swift-nio'
        ➜ Explicit dependency on target 'DequeModule' in project 'swift-collections'
        ➜ Explicit dependency on target 'Atomics' in project 'swift-atomics'
    Target 'DequeModule' in project 'swift-collections'
        ➜ Explicit dependency on target 'DequeModule' in project 'swift-collections'
    Target 'DequeModule' in project 'swift-collections' (no dependencies)
    Target 'CNIOWindows' in project 'swift-nio' (no dependencies)
    Target 'CNIOLinux' in project 'swift-nio' (no dependencies)
    Target 'NIOConcurrencyHelpers' in project 'swift-nio'
        ➜ Explicit dependency on target 'CNIOAtomics' in project 'swift-nio'
    Target 'CNIOAtomics' in project 'swift-nio' (no dependencies)
    Target 'Atomics' in project 'swift-atomics'
        ➜ Explicit dependency on target 'Atomics' in project 'swift-atomics'
        ➜ Explicit dependency on target '_AtomicsShims' in project 'swift-atomics'
    Target 'Atomics' in project 'swift-atomics'
        ➜ Explicit dependency on target '_AtomicsShims' in project 'swift-atomics'
    Target '_AtomicsShims' in project 'swift-atomics' (no dependencies)
    Target 'CLibMongoC' in project 'mongo-swift-driver' (no dependencies)
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 12.0 (in target 'TestsCommon' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 12.0 (in target 'MongoSwiftSync' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 12.0 (in target 'MongoSwiftTests' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 12.0 (in target 'AtlasConnectivity' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 12.0 (in target 'MongoSwift' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 12.0 (in target 'BSONTests' from project 'mongo-swift-driver')
error: The package product 'SwiftBSON' requires minimum platform version 13.0 for the iOS platform, but this target supports 12.0 (in target 'MongoSwiftSyncTests' from project 'mongo-swift-driver')
Resolve Package Graph
** BUILD FAILED **
Retrying in 0 seconds ...
BUILD FAILURE 5.9 ios